import { appRoutes } from "@/config";
import { auth } from "@/server/auth";
import { redirect } from "next/navigation";
import React from "react";
import MePage from "./_components/me-page";

async function Page() {
  const session = await auth();
  if (!session) return redirect(appRoutes.signin);
  return <MePage user={session.user} />;
}

export default Page;
